--- groff-1.18.orig/contrib/mom/Makefile.sub	Fri Jun  7 15:56:32 2002
+++ groff-1.18/contrib/mom/Makefile.sub	Mon Jul 21 10:45:21 2003
@@ -82,14 +82,14 @@
 all: make_examples
 
 .PHONY: make_examples
-make_examples: prepare_make_examples $(PROCESSEDEXAMPLEFILES)
+make_examples: prepare_make_examples
 
 prepare_make_examples: examples/penguin.ps
 	test -d examples || $(mkinstalldirs) examples
 	test -f penguin.ps || cp $(srcdir)/examples/penguin.ps .
 
 install_data: $(NORMALFILES) $(HTMLDOCFILES) \
-              $(EXAMPLEFILES) $(PROCESSEDEXAMPLEFILES)
+              $(EXAMPLEFILES)
 	-test -d $(tmacdir) || $(mkinstalldirs) $(tmacdir)
 	for f in $(NORMALFILES); do \
 	  rm -f $(tmacdir)/$$f; \
@@ -104,10 +104,6 @@
 	for f in $(EXAMPLEFILES); do \
 	  rm -f $(exampledir)/$$f; \
 	  $(INSTALL_DATA) $(srcdir)/$$f $(docdir)/$$f; \
-	done
-	for f in $(PROCESSEDEXAMPLEFILES); do \
-	  rm -f $(exampledir)/$$f; \
-	  $(INSTALL_DATA) $$f $(docdir)/$$f; \
 	done
 
 uninstall_sub:
--- groff-1.18.orig/doc/Makefile.sub	Mon Jul 21 09:45:41 2003
+++ groff-1.18/doc/Makefile.sub	Mon Jul 21 11:19:28 2003
@@ -42,17 +42,14 @@
   GROFF_BIN_PATH=$(groff_bin_path); \
   export GROFF_BIN_PATH; \
   sed -e "s;@VERSION@;$(version)$(revision);" $< \
-  | $(top_builddir)/src/roff/groff/groff $(TFLAG) $(FFLAG) -Upet -ww
+  | /usr/bin/groff $(TFLAG) $(FFLAG) -Upet -ww
 
 DOCFILES=\
   meref.me \
   meintro.me \
   pic.ms
 
-PROCESSEDDOCFILES=\
-  meref.ps \
-  meintro.ps \
-  pic.ps
+PROCESSEDDOCFILES=
 
 HTMLDOCFILES=
 
@@ -63,11 +60,7 @@
   grnexmpl.g \
   grnexmpl.me
 
-PROCESSEDEXAMPLEFILES=\
-  webpage.ps \
-  gnu.eps \
-  gnu.png \
-  grnexmpl.ps
+PROCESSEDEXAMPLEFILES=
 
 HTMLEXAMPLEFILES=
 
@@ -95,16 +88,16 @@
 
 # For simplicity, we always call grn and eqn.
 .me.ps:
-	$(GROFF) -Tps -ge -me >$@
+	$(GROFF) -Tps -ge -me $< >$@
 
 .ms.html:
 	$(GROFF) -P-p -P-b -P-I`basename $< | sed -e 's|.ms$$||'` \
 		 -P-D$(imagedir) -Thtml -ms >$@
 .ms.ps:
-	$(GROFF) -Tps -ms -mwww >$@
+	$(GROFF) -Tps -ms -mwww $< >$@
 
 
-all: groff $(PROCESSEDDOCFILES) prepare_examples \
+all: $(PROCESSEDDOCFILES) prepare_examples \
      $(PROCESSEDEXAMPLEFILES) 
 
 html: $(HTMLDOCFILES) $(HTMLEXAMPLEFILES)
@@ -120,14 +113,11 @@
 gnu.png: gnu.xpm
 	xpmtoppm $(srcdir)/gnu.xpm | pnmdepth 15 | pnmtopng >$@
 
-webpage.html: webpage.ms gnu.png
-webpage.ps: gnu.eps
-
 grnexmpl.ps: grnexmpl.me grnexmpl.g
 
 distfiles: groff
 
-install_data: groff $(DOCFILES) $(PROCESSEDDOCFILES)  \
+install_data: $(DOCFILES) $(PROCESSEDDOCFILES)  \
               $(EXAMPLEFILES) $(PROCESSEDEXAMPLEFILES)
 	-test -d $(infodir) || $(mkinstalldirs) $(infodir)
 # Prefer info files in builddir over srcdir; we test for
